<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
     <xsl:apply-templates select="ProtocolList"/>
</xsl:template>

<xsl:template match="ProtocolList">
<html>
<head>
	<title>РЕГИСТРАЦИЯ ВЫВОДА ДОКУМЕНТОВ НА ПЕЧАТЬ</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<link rel="stylesheet" type="text/css" href="protocol.css"/>
</head>
<body>
	<h1 class="pageheader">РЕГИСТРАЦИЯ ВЫВОДА ДОКУМЕНТОВ НА ПЕЧАТЬ по состоянию на <xsl:value-of select="@DateTime"/></h1>
	<hr/>
<xsl:for-each select="/ProtocolList/Protocol">
	<table><tr>
	<td>Дата и время выдачи:</td><th><xsl:value-of select="@date"/>&#160;&#160;&#160;<xsl:value-of select="@time"/></th>
	<td>Исполнил:</td><th><xsl:value-of select="PrintJob/@user-fullname"/> (<xsl:value-of select="job-originating-user-name/@login"/>)</th>
	<td>Страниц:</td><th><xsl:value-of select="@pages"/></th>
	<td>Результат выдачи:</td><th><xsl:value-of select="@status"/></th>
	</tr><tr>
	<td>Учетный номер:</td><th><xsl:value-of select="@number"/></th>
	<td>Отпечатал:</td><th><xsl:value-of select="PrintJob/@printuser-fullname"/> (<xsl:value-of select="PrintJob/@mac-job-user-name"/>)</th>
	<td>Экземпляров:</td><th><xsl:value-of select="@copies"/></th>
	<td>Брак:</td><th><xsl:value-of select="@brak"/></th>
	</tr><tr>
	<td>Краткое содержание:</td><th colspan="3"><xsl:value-of select="@name"/></th>
	<td>Принтер:</td><th colspan="3"><xsl:value-of select="@unit"/></th>
	</tr></table>
	<hr/>
</xsl:for-each>

</body>
</html>
</xsl:template>

</xsl:stylesheet>
